# Class StringUtils

java.lang.Object
net.sf.statcvs.util.StringUtils

public final class StringUtils extends Object

Author:
  xhensevalb

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isNotEmpty(String txt)`
`static List`
`listify(String str, String delimiter)`
helper method to convert a 'delimiter' separated string to a list.
`static String`
`trim(String tok)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isNotEmpty

public static boolean isNotEmpty(String txt)

Returns:
  true if txt !=null and not empty.

### listify

public static List listify(String str, String delimiter)
helper method to convert a 'delimiter' separated string to a list.

Parameters:
  `str` - the 'delimiter' separated string
  `delimiter` - typically a ','
Returns:
  a list

### trim

public static String trim(String tok)